/******************************************************************************
 *
 * Copyright (c) 2006 Jon Black
 *
 * This file is part of Gibberish.
 *
 * Gibberish is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Gibberish is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/

/**
 * \file LessonSettings.cpp
 * \author Jon Black
 */ 

#include "LessonSettings.h"

// *****************************************************************************
// Constructor/Destructor
// *****************************************************************************

/**
 *
 */
LessonSettings::LessonSettings()
{
}

// *****************************************************************************
// Getter/Setter
// *****************************************************************************

/**
 *
 */
void LessonSettings::setLessonType( int lType )
{
	this->lType = lType;
}

/**
 *
 */
void LessonSettings::setNativeLang( QString nLang )
{
	nativeLang = nLang;
}

/**
 *
 */
void LessonSettings::setForeignLang( QString fLang )
{
	studyLang = fLang;
}

void LessonSettings::setTime( QTime time )
{
	this->time = time;
}

/**
 *
 */
void LessonSettings::setNativeFirst( bool isNativeFirst )
{
	nativeFirst = isNativeFirst;
}

/**
 *
 */
void LessonSettings::setUseTimer( bool useTimer )
{
	this->useTimer = useTimer;
}
