TEMPLATE     	= 	app
CONFIG				+=	debug release warn_on
TARGET      	+= 	
DEPENDPATH  	+=	src src/include src/ui ../LineChart/src ../LineChart/src/include
INCLUDEPATH 	+=	src/include ../LineChart/src/include
OBJECTS_DIR 	=		debug
MOC_DIR				= 	debug
UI_DIR       	= 	debug
QT 						+= 	sql xml

# Input
HEADERS += DatabaseInterface.h \
					 HelpAbout.h \
					 LanguageMode.h \
					 LessonDialog.h \
					 Lesson.h \
					 LessonSettings.h \
					 LessonWidget.h \
					 MainWindow.h \
				   Questions.h \
					 Score.h \
					 StudentProfile.h \
					 SetupWizard.h \
					 TimerWidget.h \
					 Vocabulary.h \
					 VocabularyParser.h \
					 LineChart.h

FORMS   += DictionaryTool.ui \
           HelpAbout.ui \
					 LanguageMode.ui \
				   LessonDialog.ui \
					 LessonWidgetFC.ui \
					 LessonWidgetMC.ui \
					 LessonWidgetQA.ui \
           MainWindow.ui \
           SetupWizard.ui \
					 TimerWidget.ui

SOURCES += DatabaseInterface.cpp \
					 Gibberish.cpp \
					 HelpAbout.cpp \
					 LanguageMode.cpp \
					 Lesson.cpp \
					 LessonDialog.cpp \
           LessonSettings.cpp \
					 LessonWidget.cpp \
					 LessonWidgetFC.cpp \
           LessonWidgetMC.cpp \
					 LessonWidgetQA.cpp \
				   MainWindow.cpp \
           Questions.cpp \
					 Score.cpp \
					 SetupWizard.cpp \
					 StudentProfile.cpp \
					 TimerWidget.cpp \
					 Vocabulary.cpp \
					 VocabularyParser.cpp \
					 LineChart.cpp