/******************************************************************************
 *
 * Copyright (c) 2006 Jon Black
 *
 * This file is part of Gibberish.
 *
 * Gibberish is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Gibberish is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/

#include "LessonWidget.h"
#include "Questions.h"

// *****************************************************************************
// Constructor/Destructor
// *****************************************************************************

/**
 *
 */
LessonWidgetFC::LessonWidgetFC( QWidget* parent )
	: LessonWidget( parent )
{
	setupUi( this );

	// Set the instructions text
	instructions = "<h1>Flash Cards</h1>";
	instructions += "<h2>Instructions</h2>";
	instructions += "<p>";
	instructions += "Each flash card is displayed with the foriegn language vocabulary displayed. To view the native language translation, click on the flip button in the top-right corner. Click it again to flip back. Click the next button to work your way through the flash-card set. Once you have viewed all the cards, you will be taken to the scoring screen.";
	instructions += "</p>";
	instructions += "<h2>Aim</h2>";
	instructions += "<p>";
	instructions += "On the scoring screen, you must match each native language flash-card to it's foreign language translation by grabbing the cards and moving them together.";
	instructions += "</p>";
}

// *****************************************************************************
// Methods
// *****************************************************************************

/**
 *
 */
bool LessonWidgetFC::checkAnswer( Questions * lQuestions )
{
}

/**
 *
 */
void LessonWidgetFC::nextQuestion( Questions * lQuestions ) 
{
}
